0

Problemas al instalar un modulo "DEPRECATED"

por
Jose Luis
en 21/04/17 23:54 236 vistas

Hola estimados, estoy intentando hacer funcionar un modulo que esta "deprecated" en https://github.com/adhoc-dev/odoo-addons/product_bookstore.

El addon esta hecho para odoo 8, pero estoy intentando instalarlo en la version 9.

El error es el siguiente

  File "/home/samsagaz/Documents/Programming/Python/libros/openerp/fields.py", line 628, in _add_trigger

    field = model._fields[name]

KeyError: 'ean13'

Eso sucede porque en la versión 9 se necesita modificar algo? O ese modulo no crea las tablas y tengo q instalar otro modulo antes?

 

Estoy intentando conseguir algun m'odulo para poder adaptarlo a una librería.


0
Jose Luis
En 22/04/17 19:06

Me gustar'ia borrar la pregunta, ya que empece un modulo de 0 para no complicarme tanto, parece q falta extender el product.product y agregar ean13, auqnue lo he agregado me dio error igual...

de todos modos ahora estoy empezando un modulo de 0.... pero me surgen muchas dudas... abriré otra consulta sobre el nuevo modulo y la mejor manera de encararlo!

  • Flag

Su respuesta

Por favor trate de dar una respuesta sustancial. Si desea comentar sobre la pregunta o respuesta, utilice la herramienta de comentarios. Recuerde que siempre puede revisar sus respuestas - no hay necesidad de contestar la misma pregunta dos veces. Además, no olvide valorar - realmente ayuda a seleccionar las mejores preguntas y respuestas

Hacer una pregunta

Mantener informado

Sobre este foro

Esta comunidad es para profesionales y entusiastas de nuestros productos y servicios.

Lea las directrices

Herramientas de las preguntas

61 seguidor(es)

Estadísticas

Preguntado: 21/04/17 23:54
Visto: 236 veces
Última actualización: 14/04/18 12:41